r10k (4.0.2-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/20_disable_test_changing_proxy_settings: skip tests trying to change
      the proxy settings, they are failing in the Ubuntu autopkgtest
      infrastructure (LP #1940104).

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 18 Jun 2024 10:15:40 +0100

r10k (4.0.2-1) unstable; urgency=medium

  * New upstream version 4.0.2

 -- Georg Faerber <georg@debian.org>  Wed, 03 Apr 2024 14:35:32 +0000

r10k (4.0.0-1ubuntu1) noble; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/20_disable_test_changing_proxy_settings: skip tests trying to change
      the proxy settings, they are failing in the Ubuntu autopkgtest
      infrastructure (LP #1940104).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 22 Feb 2024 23:53:48 -0300

r10k (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0
  * d/patches: refresh patchs

 -- Sebastien Badia <sbadia@debian.org>  Thu, 09 Nov 2023 01:13:24 +0100

r10k (3.15.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)
  * Remove obsolete field Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
    Changes-By: lintian-brush

  [ Sebastien Badia ]
  * New upstream version 3.15.4
  * Bump Standards-Version to 4.6.2 (no changes needed)

 -- Sebastien Badia <sbadia@debian.org>  Thu, 09 Feb 2023 16:44:35 +0100

r10k (3.15.2-2) unstable; urgency=medium

  * debian/control:
    - Drop obsolete field XB-Ruby-Versions.

 -- Georg Faerber <georg@debian.org>  Mon, 24 Oct 2022 10:10:22 +0000

r10k (3.15.2-1) unstable; urgency=medium

  * New upstream version 3.15.2.
  * debian/control:
    - Bump Standards-Version to 4.6.1, no changes required.
  * debian/patches:
    - Refresh patch to relax versions of dependencies in gemspec.

 -- Georg Faerber <georg@debian.org>  Sun, 23 Oct 2022 16:14:16 +0000

r10k (3.14.2-2) unstable; urgency=medium

  * debian/patches:
    - Relax dependencies in gemspec: cri, puppet_forge, fast_gettext, jwt.
    - Skip another test which requires Internet access.

 -- Georg Faerber <georg@debian.org>  Fri, 15 Apr 2022 10:24:26 +0000

r10k (3.14.2-1) unstable; urgency=medium

  * New upstream version 3.14.2.
  * debian/control:
    - (Build-)Depend on ruby-jwt.
    - Drop depending on ruby-interpreter, obsolete.
    - Bump Standards-Version to 4.6.0, no changes required.
  * debian/patches:
    - Drop patch to ensure Ruby 3.0 compatibility, integrated upstream.
    - Refresh remaining patches.
  * debian/watch:
    - Rely on 'special strings' provided by uscan to handle higher version
      numbers.

 -- Georg Faerber <georg@debian.org>  Thu, 14 Apr 2022 19:00:38 +0000

r10k (3.7.0-2.1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/20_disable_test_changing_proxy_settings: skip tests trying to change
      the proxy settings, they are failing in the Ubuntu autopkgtest
      infrastructure (LP #1940104).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 14 Dec 2021 19:10:20 -0300

r10k (3.7.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/patches/13_fix_ruby_30_kwargs.patch: Add patch.
    - Fix Ruby 3.0 keywords argument handling (closes: #996116).
  * d/patches/series: Add new patch.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 27 Nov 2021 00:24:35 +0100

r10k (3.7.0-2ubuntu1) impish; urgency=medium

  * d/p/20_disable_test_changing_proxy_settings: skip tests trying to change
    the proxy settings, they are failing in the Ubuntu autopkgtest
    infrastructure (LP: #1940104).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 16 Aug 2021 11:49:31 -0300

r10k (3.7.0-2) unstable; urgency=medium

  * d/upstream: Fix package name
  * d/patches: Bump ruby-puppet-forge deps
  * d/control: Bump ruby-puppet-forge to 3.0.0

 -- Sebastien Badia <sbadia@debian.org>  Wed, 03 Feb 2021 19:51:26 +0100

r10k (3.7.0-1) unstable; urgency=medium

  * New upstream version 3.7.0 (Closes: #978235)
  * d/upstream: Fix missing-bug-tracking
  * d/patches: Refresh patchs
  * d/control:
    + Bump debhelper compat to 13
    + Bump Standards-Versions to 4.5.1 (no changes)

 -- Sebastien Badia <sbadia@debian.org>  Fri, 29 Jan 2021 10:58:34 +0100

r10k (3.4.1-3) unstable; urgency=medium

  * d/control: Fix puppet-forge version (Closes: #953199)

 -- Sebastien Badia <sbadia@debian.org>  Mon, 16 Mar 2020 00:13:10 +0100

r10k (3.4.1-2) unstable; urgency=medium

  * debian/patches:
    - Add patch to relax gettext dependencies in gemspec.

 -- Georg Faerber <georg@debian.org>  Tue, 10 Mar 2020 17:13:45 +0000

r10k (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1.
  * debian/patches:
    - Drop obsolete patch to relax dependency on cri in gemspec.

 -- Georg Faerber <georg@debian.org>  Tue, 10 Mar 2020 14:48:54 +0000

r10k (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0. (Closes: #953199)
  * d/control:
    + Rely on debhelper-compat and bump compat level to 12
    + Bump Standards-Version to 4.5.0 (no changes needed)
    + Run wrap-and-sort -abt
    + Add myself as Uploader
    + Depend on ruby-colored2, instead of ruby-colored
  * d/compat:
    - Drop, obsolete
  * d/manpages:
    + Drop obsolete manpages
    + Run wrap-and-sort -abt
  * d/patches: Refresh for new release
  * d/r10k.docs: Run wrap-and-sort -abt
  * d/salsa-ci.yml: Add to enable CI

 -- Georg Faerber <georg@debian.org>  Mon, 09 Mar 2020 15:24:40 +0000

r10k (3.1.0-1) unstable; urgency=medium

  * New upstream version 3.1.0 (fix cri dependency Closes: #918779)
  * d/watch: Bump watchfile to version 4
  * d/control: Bump to Standards-Version 4.3.0 (no changes needed)
  * d/copyright: Update copyright years

 -- Sebastien Badia <sbadia@debian.org>  Sat, 12 Jan 2019 21:18:54 +0100

r10k (2.6.3-1) unstable; urgency=medium

  * d/control:
    + Bump to Standards-Version 4.1.5 (no changes needed)
    + Update ronn B-D (Closes: #903077)
    + Added Rules-Requires-Root option
  * New upstream version 2.6.3

 -- Sebastien Badia <sbadia@debian.org>  Tue, 10 Jul 2018 16:22:08 +0200

r10k (2.6.2-2) unstable; urgency=medium

  * d/upstream: Added Upstream-metadata
  * d/compat: Bump compat version to 11
  * d/control: Use salsa.debian.org in Vcs-* fields

 -- Sebastien Badia <sbadia@debian.org>  Tue, 13 Mar 2018 18:23:24 +0100

r10k (2.6.2-1) unstable; urgency=medium

  * New upstream version 2.6.2
    + Spec tests now pass against ruby 2.5 (Closes: #888145)
  * d/copyright: Use HTTPS for copyright-format URI
  * d/control: Bump to Standards-Version 4.1.3 (no changes needed)

 -- Sebastien Badia <sbadia@debian.org>  Tue, 06 Feb 2018 20:25:05 +0100

r10k (2.6.1-1) unstable; urgency=medium

  * New upstream version 2.6.1
  * d/patches: Update 10_loosen_gem_dependencies patch (upstream change)
  * d/control:
    + Update dependency according new upstream version
    + Bump to Standards-Version 4.1.2 (no changes needed)

 -- Sebastien Badia <sbadia@debian.org>  Tue, 26 Dec 2017 17:09:31 +0100

r10k (2.5.5-4) unstable; urgency=medium

  * d/patches: Fix FTBFS, disable tests that require network access
  * d/control: Bump Standard-Version to 4.1.0 (no changes needed)

 -- Sebastien Badia <sbadia@debian.org>  Wed, 23 Aug 2017 18:14:06 +0200

r10k (2.5.5-3) unstable; urgency=medium

  * d/patches: Loosen semantic_puppet version (according puppet_forge update)
    Fix debci self-tests.

 -- Sebastien Badia <sbadia@debian.org>  Tue, 20 Jun 2017 17:03:16 +0200

r10k (2.5.5-2) unstable; urgency=medium

  * d/compat: Bump compat. version to 10
  * d/control:
    + Update build/run dependency versions
    + Bump Standards-Version to 4.0.0 (no changes)
    + Try to enable debci

 -- Sebastien Badia <sbadia@debian.org>  Tue, 20 Jun 2017 16:19:01 +0200

r10k (2.5.5-1) unstable; urgency=medium

  * New upstream version 2.5.5
  * d/control: Update dependencies according new upstream release

 -- Sebastien Badia <sbadia@debian.org>  Sun, 11 Jun 2017 20:15:31 +0200

r10k (2.5.0-1) unstable; urgency=medium

  * New upstream version 2.5.0
  * d/control: Update my Debian email

 -- Sebastien Badia <sbadia@debian.org>  Thu, 01 Dec 2016 14:04:11 +0100

r10k (2.4.3-1) unstable; urgency=medium

  * [8a866ab] Change section to admin (Closes: #832251)
  * [e508ae6] New upstream version 2.4.3
  * [e27c014] Update dependencies
  * [7791632] Add patch loosen_gem_dependencies

 -- Markus Frosch <lazyfrosch@debian.org>  Sun, 18 Sep 2016 19:46:19 +0200

r10k (2.3.0-1) unstable; urgency=medium

  * Imported Upstream version 2.3.0 (Closes: #830411)
  * d/control: Bump Standards version to 3.9.8 (no changes)

 -- Sebastien Badia <seb@sebian.fr>  Thu, 14 Jul 2016 12:12:11 +0200

r10k (2.2.0-1) unstable; urgency=medium

  * New upstream version
  * Bumped up compat version to 9
  * d/control:
      Clean un-needed BD
      Bump Standards-Version to 3.9.7 (no changes)
      Update Vcs-* fields (use https everywhere)
  * d/patches: Remove unused patchs

 -- Sebastien Badia <seb@sebian.fr>  Fri, 04 Mar 2016 10:00:27 -0300

r10k (2.1.1-1) unstable; urgency=low

  [ Sebastien Badia ]
  * [b7dcd82] d/patches: Refresh 001-remove-external-source-test.patch
  * [bb5e39d] Imported Upstream version 2.1.1 (Closes: #794141)
  * [8ac9783] d/*: Update docs, upstream url and dependencys
  * [615e9b6] d/control: Update maintainers and vcs repo

  [ Markus Frosch ]
  * [23f98a9] Add myself to uploaders
  * [c1bd6bd] Document possible dependency deprecation
  * [5f96742] Add ruby-rugged dependency
  * [aefba3e] Disable network based spec test
  * [e0c1d68] Recommend GIT and use it on build
  * [0d70580] Fix CHANGELOG installation

 -- Markus Frosch <lazyfrosch@debian.org>  Thu, 17 Dec 2015 14:49:24 +0100

r10k (1.1.4-1) unstable; urgency=low

  * New upstream release.
  * d/watch: Ignore rc upstream versions.
  * d/patches:
    Rename avoid_git_access.patch to 001-remove-external-source-test.patch
    this patch disable external calls to github during build process.
    Update headers of 001-remove-external-source-test.patch

 -- Sebastien Badia <seb@sebian.fr>  Thu, 06 Mar 2014 19:05:11 +0100

r10k (1.1.3-1) unstable; urgency=low

  * Initial release (Closes: #736604)

 -- Sebastien Badia <seb@sebian.fr>  Wed, 29 Jan 2014 17:48:39 +0100
